*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html, body{
    height: 100%;
    width: 100%;
}

html{
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}

:root{
    --bg-color: #000000;
    --bg-button-color: #1a1a1a;
    --bg-task-color: #2a2a2a;
    --primary-text-color: #f4f4f4;
    --delete-color: #ff4d4d;

    /*padding varibales*/

    --nav-padding: 15px 30px;
    --section-padding: 15px 30px;
    --padding-s: 5px;
    --padding-m: 10px;
    --padding-l: 15px;
    --padding-xl: 20px; 
    --padding-xxl: 30px;

    /*border radius variables*/
    --border-radius-s: 5px;
    --border-radius-m: 10px;
    --border-radius-l: 15px;
    --border-radius-xl: 20px;
    --border-radius-xxl: 30px;

}
body{
    background-color: var(--bg-color);
    color: var(--primary-text-color);
}

main{
    height: 100%;
    display: flex;
    flex-direction: column;
    flex-grow: 1;

}

nav{
    padding: var(--nav-padding);
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: sticky;
    top: 0;
    background-color: var(--bg-color);
}

nav button{
    background-color: var(--bg-button-color);
    border: none;
    outline: none;
    color: var(--primary-text-color);
    padding: var(--padding-m) var(--padding-l);
    cursor: pointer;
    border-radius: var(--border-radius-m);
}

section{
    padding: var(--section-padding);
    display: flex;
    flex-grow: 1;
    justify-content: space-between;

    gap: var(--padding-xxl);

}
section .task-column{
   background-color: var(--bg-button-color);
   flex-grow: 1;
   width: 100%;
   padding: var(--padding-m);
   display: flex;
   flex-direction: column;
   gap: var(--padding-m);
   border-radius: var(--border-radius-m);    
   transition: all 0.7s cubic-bezier(0.19 , 1 ,0.22, 1);

}

section .task-column.hover-over{
    border: 2px dashed var(--primary-text-color);
    scale: 1.02;
}

section .task-column .heading{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

section .task-column  .task{
    background-color: var(--bg-task-color);
    padding: var(--padding-m);
    border-radius: var(--border-radius-m);
    display: flex;
    flex-direction: column;
    gap: var(--padding-s);
    cursor: grab;

}

section .task-column  .task button{
    align-self: flex-end;
    cursor: pointer;
    padding: var(--padding-s) var(--padding-m);
    border-radius: var(--border-radius-s);
    border: none;
    outline: none;
    background-color: var(--delete-color);
    color: var(--primary-text-color);
}

.modal{
    position: fixed;
    height: 100vh;
    width: 100vw;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
}

.modal.active{
    display: flex;
}

.modal .bg{
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: rgba(60, 60, 60, 0.579);
    backdrop-filter: blur(5px);

}

.modal .center{
    background-color: var(--bg-button-color);
    padding: var(--padding-xxl);
    border-radius: var(--border-radius-m);
    display: flex;
    flex-direction: column;
    gap: var(--padding-l); 
    z-index: 10;
}

.modal .center input, .modal .center textarea , .modal .center select{
    background-color: var(--bg-task-color);
    border: none;
    outline: none;
    color: var(--primary-text-color);
    padding: var(--padding-m);
    border-radius: var(--border-radius-s);
}

.modal .center button{
    background-color: var(--bg-task-color);
    border: none;
    outline: none;
    color: var(--primary-text-color);
    padding: var(--padding-m) var(--padding-l);
    cursor: pointer;
    border-radius: var(--border-radius-m);  
    width: fit-content;
    align-self: center;
}